Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.auth.login
Class ConfigFile

    java.lang.Object
      javax.security.auth.login.Configuration
          com.ibm.security.auth.login.ConfigFile

    public class ConfigFile

extends Configuration

This class represents a default implementation for `javax.security.auth.login.Configuration`.

This object stores the runtime login configuration representation, and is the amalgamation of multiple static login configurations that resides in files. The algorithm for locating the login configuration file(s) and reading their information into this `Configuration` object is:

1. Loop through the `java.security.Security` properties, login.config.url.1, login.config.url.2, ..., login.config.url.X. These properties are set in the Java security properties file, which is located in the file named <JAVA_HOME>/lib/security/java.security, where <JAVA_HOME> refers to the directory where the JDK was installed. Each property value specifies a `URL` pointing to a login configuration file to be loaded. Read in and load each configuration.
2. The `java.lang.System` property java.security.auth.login.config may also be set to a `URL` pointing to another login configuration file (which is the case when a user uses the -D switch at runtime). If this property is defined, and its use is allowed by the security property file (the Security property, policy.allowSystemProperty is set to true), also load that login configuration.
3. If the java.security.auth.login.config property is defined using "==" (rather than "="), then ignore all other specified login configurations and only load this configuration.
4. If no system or security properties were set, try to read from the file, ${user.home}/.java.login.config, where ${user.home} is the value represented by the "user.home" System property.

The configuration syntax supported by this implementation is exactly that syntax specified in the `javax.security.auth.login.Configuration` class.

Version:
  1.6, 01/14/00
See Also:
  `LoginContext`

Constructor Summary
`ConfigFile()` Create a new `Configuration` object.

Method Summary
`AppConfigurationEntry[]` | `getAppConfigurationEntry(java.lang.String applicationName)` Retrieve an entry from the Configuration using an application name as an index.
`void` | `refresh()` Refresh and reload the Configuration by re-reading all of the login configurations.

Methods inherited from class javax.security.auth.login.Configuration
`getConfiguration, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigFile

    public ConfigFile()

  Create a new `Configuration` object.

Method Detail

### getAppConfigurationEntry

    public AppConfigurationEntry[] getAppConfigurationEntry(java.lang.String applicationName)

  Retrieve an entry from the Configuration using an application name as an index.

  Specified by:
    `getAppConfigurationEntry` in class `Configuration`
  Parameters:
    `applicationName` - the name used to index the Configuration.
  Returns:
    an array of AppConfigurationEntries which correspond to the stacked configuration of LoginModules for this application, or null if this application has no configured LoginModules.

### refresh

    public void refresh()

  Refresh and reload the Configuration by re-reading all of the login configurations.

  Specified by:
    `refresh` in class `Configuration`
  Throws:
    `java.lang.SecurityException` - if the caller does not have permission to refresh the Configuration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD